:host ::ng-deep {
    .p-dropdown {
        width: 14rem;
        font-weight: normal;
    }
    
    .product-name {
        font-size: 1.3rem;
        font-weight: 700;
    }
    
    .product-description {
        font-size: 1rem;
        margin: 0 0 1rem 0;
    }
    
    .product-category-icon {
        vertical-align: middle;
        margin-right: .5rem;
    }
    
    .product-category {
        font-weight: 600;
        vertical-align: middle;
    }
    
    .product-list-item {
        display: flex;
        align-items: left;
        padding: 1rem;
        //width: 100%;
    
        img {
            //width: 150px;
            box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
            margin-right: 2rem;
        }
    
        // .product-list-detail {
        //     flex: 1 1 0;
        // }
    
        // .p-rating {
        //     margin: 0 0 .5rem 0;
        // }
    
        // .product-price {
        //     // font-size: 1.5rem;
        //     font-weight: 600;
        //     // margin-bottom: .5rem;
        //     align-self: flex-end;
        // }
    
        // .product-list-action {
        //     display: flex;
        //     flex-direction: column;
        // }
    
       
    }

    .p-button {
        display: flex;
        align-items: left;
        width: 100%;
    }
    
    .product-grid-item {
        margin: .5em;
        border: 1px solid #dee2e6;
    
        // .product-grid-item-top,
        // .product-grid-item-bottom {
        //     display: flex;
        //     align-items: center;
        //     justify-content: space-between;
        // }
    
        // img {
        //    // width: 75%;
        //     box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
        //     margin: 2rem 0;
        // }
    
        .product-grid-item-content {
            text-align: center;
        }
    
        .product-price {
            font-size: 1.5rem;
            font-weight: 600;
        }
    }
}

.card {
    margin: 1.25rem;
    box-shadow: 0 2px 1px -1px rgba(0, 0, 0, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.14), 0 1px 3px 0 rgba(0, 0, 0, 0.12);
    border-radius: 4px;
//     margin-bottom: 2rem;
//     min-width: 25rem;
    max-width: 96%;
//     min-height: 20rem;
//     max-height: 20rem;
    min-height: 18rem ;
}

@media screen and (max-width: 776px) {

    .p-dataview.p-dataview-list .p-dataview-content > .p-grid > div {
        width: 50%;
    }

	:host ::ng-deep .product-list-item {
		flex-direction: column;
		align-items: center;

		img {
			//width: 75%;
			margin: 2rem 0;
		}

		.product-list-detail {
			text-align: center;
		}

		.product-price {
			align-self: center;
		}

		.product-list-action {
			display: flex;
			flex-direction: column;
		}

		.product-list-action {
			margin-top: 2rem;
			flex-direction: row;
			justify-content: space-between;
			align-items: center;
			width: 100%;
		}
	}
}

:host ::ng-deep{
    .p-button-root {
       font-size: 1rem !important;
       width: 100% !important;
    }

    .styleClass{
        min-height: 100%;
        width: 100%;
    }

    .color{
        color: white;
        background-color: var(--primary-lighter-color );
    }
    
    .p-card{
        min-height: 88rem;
    }

    .centerVerticalClass{
        align-self: center;
    }

    .p-dataview.p-dataview-list .p-dataview-content > .p-grid > div {
        width: 33.33%;
    }

}

